Skip to main content
POST
/
entities
/
asset
/
{asset_id}
/
event
/
plug-in-schedule
Asset Plug In Schedule Event
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/asset/{asset_id}/event/plug-in-schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "charging_schedule": [
    {
      "start_timestamp": "<string>",
      "end_timestamp": "<string>"
    }
  ]
}
'
{
  "modified_charging_schedule": [
    {
      "start_timestamp": "<string>",
      "end_timestamp": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

asset_id
string<uuid>
required

Body

application/json

This is the original charging schedule which will be modified and returned to the client in the response. Used in WSLite integration model.

charging_schedule
ChargingScheduleBlock · object[]
required

Response

Modified charging schedule successfully retrieved

This is the modified charging schedule which will be returned to the client. Used in WSLite integration model.

modified_charging_schedule
ChargingScheduleBlock · object[]
required